/* 
-------- Function: -----------------------------------------------------------------------

     CreateEventType 


-------- Description: --------------------------------------------------------------------

     This function returns the event type based on the detector multiplicity.


-------- Usage: --------------------------------------------------------------------------

   int CreateEventType(short multiplicity, int *eventType)

   Input Parameters:
       MULTIPLICITY    short     : Multiplicity associated with EVENTTYPE


   Output Parameters:
       EVENTTYPE       int       : 0:SINGLE, 1:PSD, 2:DOUBLE, 3:TRIPLE, 
                                   4:QUADRUPLE, 5:QUINTUPLE, 6:HI_MULT


-------- Include files -------------------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: ---------------------------------------------------

   Sandhia Bansal  (1.0.0; Aug 00)


--------------------------------------------------------------------------------------- */

#include "spihist.h"



int CreateEventType(short multiplicity, int *eventType)
{
   int    status=ISDC_OK;



   switch(multiplicity)
   {
      case 0:
	 *eventType = PSD;
	 break;

      case 1:
	 *eventType = SINGLE;
	 break;

      case 2:
	 *eventType = DOUBLE;
	 break;

      case 3:
	 *eventType = TRIPLE;
	 break;

      case 4:
	 *eventType = QUADRUPLE;
	 break;

      case 5:
	 *eventType = QUINTUPLE;
	 break;

      case 6:
	 *eventType = HI_MULT;
	 break;

      default:
	 status = SPI_INVALID_MULTIPLICITY;
   }

   return(status);
}
