/* 
-------- Function: -----------------------------------------------------------------------

   DetLookup  


-------- Description: --------------------------------------------------------------------

   The program returns true if it finds the requested detector in the detector list.  This
   function is called for non-PSD detectors.


-------- Usage: --------------------------------------------------------------------------

   char DetLookup(int mult, DAL3_Byte dete, DAL3_Byte *detectors)

   Input Parameters:
       MULT          int         : 1-6 : SINGLE, DOUBLE, TRIPLE, QUADRUPLE, QUINTUPLE,
				   and HI_MULT data repectively
       DETE          DAL3_Byte   : Detector id to be searched for
       DETECTORS     DAL3_Byte   : Array of detectors ids possibly that possibly contains
                                   DETE


   Output Parameters:
       -             char        : True if DETE is in DETECTORS


-------- Include files -------------------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: ---------------------------------------------------

   Sandhia Bansal  (1.0.0; Aug 00)


--------------------------------------------------------------------------------------- */

#include "spihist.h"


char DetLookup(int mult, DAL3_Byte dete, DAL3_Byte *detectors)
{
   int  i=0;



   for (i=0; i<mult; i++)
   {
      if (dete == detectors[i])
	 return(1);
   }

   return(0);
}
