/* 
-------- Function: -----------------------------------------------------------------------

     IndexToChnl


-------- Description: --------------------------------------------------------------------

     This subroutine searches the array for the closest range containing the input value
     and returns the index to it.


-------- Usage: --------------------------------------------------------------------------

   int IndexToChnl(float item, int nItem, float range[])


   Input Parameters:	
       ITEM          float     : Value to be searhed for
       NITEM         int       : Number of elements in the array
       RANGE         float     : Array of values to be scanned


   Output Parameters:
       STATUS        int       : -1:ERROR


-------- Include files -------------------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: ---------------------------------------------------

   Sandhia Bansal  (1.0.0; Aug 00)

--------------------------------------------------------------------------------------- */

#include "spihist.h"


int IndexToChnl(float item, int nItem, float range[])
{
   int ich=0;
   int qFound=0;

   while ((ich < nItem) && (!qFound))
   {
      if ((item >= range[ich]) && (item <= range[ich+1]))
	 qFound = 1;
      ich++;
   }

   ich--;
   if (!qFound)
      ich = -1;

   return(ich);
}
