/*----------- Function -------------------------------------------------

   InitDetSpiModes

------------- Description ----------------------------------------------

   Initialize spiMode and obSpectraFlag for detectors 0-18 and 85-103.
   
------------------------------------------------------------------------
   
   Input Parameters:
      READOBFLAG	int		:OB spectra processing flag.
   Output Parameters:
      PDET		detinfoPtr	:Ptr to DETINFO struct
   
   Return Value:
   
------------- Authors/Modification History: ----------------------------

		  (3.0.1;  Jan 03) ; readOBFlag added
   Craig Gordon   (3.0.0;  Dec 02)

------------------------------------------------------------------------
*/   
#include "spihist.h"

void InitDetSpiModes(detinfoPtr pDet, int readOBFlag)
{
   int i;
   extern const short gl_undefined;  /* This is set in spiMode function */
   extern const short gl_oper;
   
   if (pDet)
   {
      for (i=0; i<2*SPISTRUCT_NDETS; ++i)
      {
         pDet->spiMode[i] = readOBFlag ? gl_undefined : gl_oper;
	 pDet->obSpectraFlag[i] = 0; /* 0 = no ob spectra */
      }
      pDet->obOperFlag = 0;
      pDet->obEmerFlag = 0;
   }
}
