/* 
-------- Function: -----------------------------------------------------------------------

     InitializeHist


-------- Description: --------------------------------------------------------------------

     This function initializes the histograms for given pointing.


-------- Usage: --------------------------------------------------------------------------

   void InitializeHist(int nEnergy, detinfoPtr pDet)

   Input Parameters:
       NENERGY      int      : Number of bins

                detinfoPtr pars
		---------------
       MAXDET       int      : Total number of det for the instrument
       HIST         long     : Hist[i]!=0 if a histogram was accumulated for ith detector


-------- Include files -------------------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: ---------------------------------------------------

   Craig Gordon    (3.0.0; Dec 02) ;Remove multiple pointing option
   Sandhia Bansal  (1.0.0; Aug 00)


--------------------------------------------------------------------------------------- */

#include "spihist.h"


void InitializeHist(int nEnergy, detinfoPtr pDet)
{
   int  ich=0, idet=0;



   for (idet=0; idet<pDet->maxdet; idet++)
   {
      for (ich=0; ich<nEnergy; ich++)
	 pDet->hist[idet][ich] = 0;
   }
}
