/* 
-------- Function: -----------------------------------------------------------------------

     InitPointingStr


-------- Description: --------------------------------------------------------------------

     This program initializes the POINTINGINFO structure parameters.


-------- Usage: --------------------------------------------------------------------------

   void InitPointingStr(pointingInfoPtr pDither)
			
   Output Parameters:
             pointingInfoPtr pars
	     --------------------
       NDT            long        : Number of rows in the POINTING extension
       OBSTART        OBTIME      : Array containing the dither start times
       OBSTOP         OBTIME      : Array containing the dither stop times
       TIMES          double      : Array containing the dither start/stop times
       XRA            double      : Pointer to the array containing x-ra info
       XDEC           double      : Pointer to the array containing x-dec info
       ZRA            double      : Pointer to the array containing z-ra info
       ZDEC           double      : Pointer to the array containing z-dec info
       RADEC          double      : Array containing x,y,z/ra,dec values


-------- Include files -------------------------------------------------------------------

    "spihist.h"


-------- Authors/Modification History: ---------------------------------------------------

   Sandhia Bansal  (1.0.0; Aug 00)

--------------------------------------------------------------------------------------- */

#include "spihist.h"


void InitPointingStr(pointingInfoPtr pDither)
{
   int  i=0;


   pDither->obStart = NULL;
   pDither->obStop  = NULL;
   pDither->times   = NULL;
   pDither->xRa     = NULL;
   pDither->xDec    = NULL;
   pDither->zRa     = NULL;
   pDither->zDec    = NULL;
   pDither->nDT     = 0L;
   for (i=0; i<NRADEC; i++)
      pDither->raDec[i] = 0;
}
