/* 
-------- Function: -------------------------------------------------------------

     ProgVer


-------- Description: ----------------------------------------------------------

     This program returns the name and version of the current task.


-------- Usage: ----------------------------------------------------------------

   void ProgVer(char *taskname, char *version)

   Output Parameters:
       TASKNAME      char        : Name of the task
       VERSION       char        : Version of the task


-------- Include files ---------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: -----------------------------------------

                 (3.1.2; Jan 04) ;In getvalidgt, new criteria for determining end of pointing.
                                  Previously it was determined by a change of
                                  pointing_id string in gti file.  For new split
                                  pointings, this no longer works.  Now looks for
                                  a negative change in detector number from the
                                  row above.
                                  Bug fix to single det case in DetRanges 
                   (3.1.1; Aug 03)  TLMINn and MAXn keywords for PHA2 output:
                                    n is no longer hardcoded, instead uses new
                                    ColNameToIndex function. 
 Craig Gordon      (3.1.0; Jun 03)  Changed retrieval of OB times of SCWs
                                    in AddOBSpectra to increase speed.
 Volker Beckmann   (3.0.9; Jun 03)  SPR 1233 (do not read OBSERVER, OBJECT, OBS_ID keyword) and SPR 3027 (memory allocation in spimode.C function)
 Craig Gordon      (3.0.8; May 03)  Change PHA-II mode output to conform to ISDC
		                    templates.  Now copies ebnds and pointing
				    extensions in their entirety to output.
  Craig Gordon     (3.0.7; Apr 03)  Additional mod to undetermined SPImode case.
                                    Now uses previous pointing mode as a default.
  Volker Beckmann  (3.0.6; Apr 03)  Mods to handling of undetermined SPImode
		                    cases for dets 0-18,85-103.
  Craig Gordon     (3.0.4; Feb 03)  Changes to greatly enhance speed and reduce
		                    memory usage for input data with many gti's:
		                    Re-design gti data structures, no longer using
		                    the structure definition from spiCommon.  Use
				    modified events selection routines in ReadEvents.
                   (3.0.2; Feb03)   Reset nmulti and multiplicity array at start of
		                    each pointing.  This prevents unnecessary reads
				    of events data in later pointings with bad gti's.
				    Bug fixes made to PHA2 mode summed spectra output
				    and error calculation.  Also removed "-" detector
				    option for PHA2 mode.
                   (3.0.1; Jan03)   Modifications to allow backward compatibility
		                    with pre-OB spectra data organization.
		   (3.0.0; Dec 02)  Added capability to read in on-board spectra,
		   	            convert their channels to energy, and add
				    them to the binned output.  
				    Also, fixed bug when calculating the errors
				    on dmode 2 and 3 output (PHA mode only).
                   (2.2.1; Nov 02)  Removed pEventcriteria->tstart and tstop
   				     parameters, no longer convert event times
				     to IJD format.
                   
		   (2.2.0; Sep 02)  Additional error checking added. PhaII mode
		   		    enhancements, including exposure column and
				    detector summation capability.
		   (2.1.9; Jul 02)  Now handles arbitrary distribution of
		                    GTIs in a SCW.
   Craig Gordon    (2.1.8; May 02)  Added capability to read other SPI_modes
   				    besides OPERATIONAL.  Calls CommonStampObject
				    on output.
   Craig Gordon    (2.1.7; Apr 02)  Made Linux portable
   Craig Gordon    (2.1.6; Mar 02)  Read MAXGTINM keyword from .gti ext rather
   				    than use previously fixed value of 3.
   Craig Gordon    (2.1.5; Feb 02)  Retrieve OBtimes directly from .gti ext
   				    table.  Related to this, added function
				    GetGTForSCW.  Fixed potential bug in
				    getvalidgt.c  
   Craig Gordon    (2.1.4; Oct 01)  DET_NUM now read from GTI file,
                                    minor change to copykeywords.c.
   Craig Gordon    (2.1.3; Oct 01)  PSD flag capability added.  GetValidGt also
   				    places det 0-18 info into dets 104-141. 
				    Minor multiplicityToProcess bug fixed.
   Craig Gordon    (2.1.2; Sep 01)  Multidetfile now hardcoded into ReadPseudo-
                                    DetTable rather than .txt file. 
				    MultiplicityToProcess allows gaps in
				    detector subset list.  GetValidGt now places
				    det 0-18 info into det 85-103 as well.
   Craig Gordon    (2.1.1; Aug 01)  Further changes made to properly handle the new
                                    detector mapping, and to place both PSD and
				    SINGLES events in 0-18.  Temporarily
				    disabled PSDflag distinction.  Multiplicity
				    ranges must be determined from only the
				    standard multidetfile.txt table.  
   Sandhia Bansal  (2.1.0; Jul 01)  New detector mapping - 
                                    0-18 : PSD+SINGLES   (OLD - REAL)
				    1300-1318 have been replaced by 1900-1918 :
				    REAL (OLD - PSD + SINGLES)
   Sandhia Bansal  (2.0.9; Jul 01)  Enabled the option to process PSD data.
   Sandhia Bansal  (2.0.8; May 01)  Replaced DT_UNKNOWN keyword by 
                                    DAL_DT_UNKNOWN.
   Sandhia Bansal  (2.0.7; May 01)  Copies DEADC, ONTIME, and DET_NUM from
                                    input templates to output spectrum file.
   Sandhia Bansal  (2.0.6; May 01)  Use TCOR_ANY instead of TCOR_ACCURATE in 
                                    the call to DAL3AUXconvertOBT2IJD.  This
				    function fills the output array with NaN
				    values if TCOR_ACCURATE is passed to it.
				    Eventually, this will probably change?
   Sandhia Bansal  (2.0.4; Mar 01)  Write number of energy bins to EBIN_NUM
                                    (previously written to DETCHANS).
   Sandhia Bansal  (2.0.3; Nov 00)  Minor changes to parameter names.
                                    Linked with isdc support-sw2.1.
   Sandhia Bansal  (2.0.2; Nov 00)  Minor changes to makeisdc1.in.
   Sandhia Bansal  (2.0.1; Nov 00)  Linked with new spiCommon library.
   Sandhia Bansal  (2.0.0; Aug 00)


----------------------------------------------------------------------------- */


#include "spihist.h"


void ProgVer(char *taskname, char *version)
{
   strcpy(taskname, "SPIHIST");
   strcpy(version, "3.1.2");
}
