/* 
-------- Function: -------------------------------------------------------------

     PSDlookup 


-------- Description: ----------------------------------------------------------

     The program returns true if it finds the requested detector in the detector
     list.  This function is called for PSD detectors.


-------- Usage: ----------------------------------------------------------------

   char PSDlookup(DAL3_Byte dete, DAL3_Byte psdFlag, pseudoDetPtr detList)

   Input Parameters:
       DETE          DAL3_Byte   : Detector id to be searched for

           DetList 
	   -------
       DETECTORS     DAL3_Byte   : Array of detectors ids possibly that possibly
                                   contains DETE
       PSDFLAG       DAL3_Byte   : 0: (Det numbers are 1000-1018)
                                   1: (Det numbers are 1100-1118)

   Output Parameters:
       -             char        : True if DETE is in DETECTORS


-------- Include files ---------------------------------------------------------

   "spihist.h"


-------- Authors/Modification History: -----------------------------------------

   Sandhia Bansal  (1.0.0; Aug 00)


----------------------------------------------------------------------------- */

#include "spihist.h"


char PSDlookup(DAL3_Byte dete, DAL3_Byte psdFlag, pseudoDetPtr detList)
{
   if ((dete == detList->detectors[0]) && (psdFlag == detList->psdFlag))
      return(1); 

   return(0);
}
